Skip to main content
GET
Get all withdrawals

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-user-id
string
required

The external user identifier of the acting customer.

Example:

"bank-user-12345"

Query Parameters

status
enum<string>

Optional status filter Status of the withdrawal

Available options:
pending,
completed,
failed
Example:

"pending"

Response

List of withdrawals

id
string
required
Example:

"wd_64f0c51e7fb3fc001234abcd"

ownerId
string
required
Example:

"bank-user-12345"

bankAccountId
string
required
Example:

"ba_64f0c51e7fb3fc001234abcd"

amount
number
required

Withdrawal amount as a number

Required range: x >= 0.01
Example:

50

currency
enum<string>
required

ISO 4217 currency code

Available options:
GBP,
EUR,
USD
Example:

"EUR"

status
enum<string>
required

Status of the withdrawal

Available options:
pending,
completed,
failed
Example:

"pending"

consideration
object

Withdrawal consideration with currency and amount

reference
string
Example:

"Withdraw to bank"

createdAt
string<date-time>